<%@ Page Language="C#" AutoEventWireup="true" CodeBehind="Order_Ship.aspx.cs" Inherits="Mall.Order.Order_Ship" %>

<%@ Register Src="/usercontrol/Top.ascx" TagName="uchead" TagPrefix="headuc" %>
<%@ Register Src="/usercontrol/Footer.ascx" TagName="ucfooter" TagPrefix="footeruc" %>
<%
  
    MODEL.MOrder model_order = Session["model_order"]==null?new MODEL.MOrder(): (MODEL.MOrder)Session["model_order"];
   

    
     %>
 
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3c.org/TR/1999/REC-html401-19991224/loose.dtd">
<HTML xmlns="http://www.w3.org/1999/xhtml"><HEAD><TITLE>送货方式</TITLE>
<META http-equiv=Content-Type content="text/html; charset=utf-8">
<LINK 
media=screen href="/content/images/mkl/global.css" type=text/css rel=stylesheet><LINK 
media=screen href="/content/images/mkl/shopc.css" type=text/css rel=stylesheet>
<SCRIPT src="/content/images/mkl/jquery-1.3.2.min.js" type=text/javascript></SCRIPT>
<LINK media=screen href="/content/images/mkl/c.css" type=text/css rel=stylesheet>
<LINK href="/content/images/mkl/c2.css" rel=stylesheet>
<SCRIPT>
    function chkForm() {
        var lblErr = document.getElementById("lblMessage");
        lblErr.style.display = "none";
        if (document.aspnetForm.radio_Choice.length == undefined)//如果只有一个
        {
            if (!document.aspnetForm.radio_Choice.checked) {
                lblErr.style.display = "inline";
                return false;
            }
            else
                return true;
        }
        else {
            for (i = 0; i < document.aspnetForm.radio_Choice.length; i++) {
                if (document.aspnetForm.radio_Choice[i].checked)
                    return true;
            }
        }
        lblErr.style.display = "inline";
        return false;
    }
    function f_ShipClick(radioObject) {
        if (radioObject.value == "1")
            document.all("ctl00_MainPlace_trSendTime").style.display = "none";
        else
            document.all("ctl00_MainPlace_trSendTime").style.display = "block";
    }
		</SCRIPT>
 
<META content="MSHTML 6.00.6000.17092" name=GENERATOR></HEAD>
<BODY>
<headuc:uchead ID="headuc" runat="server" />
 
<DIV>
<DIV class=wrap>
<DIV class=step><A class=step1 
href="/order/order_address.aspx"><SPAN>1.</SPAN><EM>收货地址</EM></A> 
<A class=step3cur 
href="/order/order_ship.aspx"><SPAN>2.</SPAN><EM>送货方式</EM></A> 
<A  class=step2><SPAN>3.</SPAN><EM>付款方式</EM></A> <A 
class=step4><SPAN>4.</SPAN><EM>确认订单</EM></A> </DIV><!--start main-->
<form name="ysfs" id="ysfs"  method="post">
 
<DIV class=order-confirm-box>
<DIV class=bor1>
<DIV class=Offerstitle>核对订单信息</DIV>
<DIV class="mt10 mb10 mr10"><A class="fr link-r" 
href="/order/order_address.aspx">修改</A>
<DIV class=pl40><SPAN class=blod>收货信息：</SPAN><SPAN><%=model_order.RecName %></SPAN><SPAN 
class=ml10><%=model_order.RecAddress %></SPAN><SPAN class=ml10></SPAN><SPAN 
class=ml10><%=model_order.RecMobile %></SPAN><SPAN class=ml10><%=model_order.RecZip %></SPAN></DIV></DIV></DIV>
<DIV class="bor2-gray mt10">
<H3 class="f14 blod Offerstitle">运送方式</H3>
<DIV class=ml10>
 
 
 
						   </TD>
 <% 
     int iship = 0;
     foreach (System.Data.DataRow dr in dt.Rows)
       {

 %>
<DIV class="mt10 f14 clearfix way-con"><input type='radio' name='post'<%=iship==0?"checked":"" %> value='<%= dr["id"].ToString() %>'><%= dr["name"].ToString() %>，&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;配送费用：<%= dr["price"].ToString() %>元</DIV>
 <%          
       }
     iship = iship + 1;
      %>
 


<DIV class="mt10 bort form-box pt10">
<DIV class="clearfix mb10 mt10"><LABEL 
for=ctl00_MainPlace_ddl_SendTime>送货时间：</LABEL> <SELECT 
id=ctl00_MainPlace_ddl_SendTime name=ctl00_MainPlace_ddl_SendTime_SendTime> <OPTION 
  value=时间不限 selected>时间不限</OPTION> <OPTION value=周一到周五>周一到周五</OPTION> <OPTION 
  value=周六日>周六日</OPTION></SELECT> <SPAN class="ml10 clearfix">我司会尽量按照你的要求送货 ( 
送货时间: 09:00 - 18:00 ) </SPAN></DIV>
<DIV class="clearfix mb10"><LABEL for=memo_text>送货备注：</LABEL> <INPUT 
class="text loud" id=memo_text onblur=noticenone() onfocus=noticeshow() 
maxLength=100 name=memo_text><SPAN class="lower ml10" id=memonotice 
style="DISPLAY: none">备注信息限制在100个字符内</SPAN>
<SCRIPT type=text/javascript>
    function noticeshow() {
        document.getElementById('memonotice').style.display = 'inline';
    }
    function noticenone() {
        document.getElementById('memonotice').style.display = 'none';
    }
                        </SCRIPT>
 </DIV></DIV></DIV></DIV>
<DIV class=mt10><INPUT class="confirm-pass fl" id=ctl00_MainPlace_btnNext onClick="pay()" type=submit value=确认送货方式,下一步 name=ctl00$MainPlace$btnNext> 
<A class="sub-order-back ml10" 
href="/cart/cart">返回购物车，修改订单商品</A> <SPAN 
id=lblMessage style="DISPLAY: none; COLOR: red">请选择一种送货方式</SPAN> </DIV></DIV>
<input type="hidden" name="action" value="save">
</form>
<SCRIPT type=text/javascript>
    $(function () {
        $(".way-con").click(function () {
            $(".way-con").removeClass("cur")
            if ($(this).children("input").attr("checked") == true) {
                $(this).addClass("cur");
            }
        })
    })
    function pay() {
        ysfs.submit();
    }
    </SCRIPT>
<!--end main-->

 
 
<IMG height=1 alt="" src="/content/images/mkl/conversion.gif" width=1> </DIV></DIV>
<footeruc:ucfooter ID="footeruc" runat="server" />
 
<SCRIPT src="/content/images/mkl/comm.js" type=text/javascript></SCRIPT>
 
<SCRIPT src="/content/images/mkl/o_code.js" type=text/javascript></SCRIPT>
</BODY></HTML>


